gr-baz Package

baz_gate Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_gate.h>`

Inheritance diagram for baz_gate:
[legend]

## Public Member Functions
| ~baz_gate ()
void | set_blocking (bool enable)
void | set_threshold (float threshold)
void | set_trigger_length (int trigger_length)
void | set_tagging (bool enable)
void | set_delay (double delay)
void | set_sample_rate (int sample_rate)
void | set_no_delay (bool no_delay)
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
BAZ_API baz_gate_sptr | baz_make_gate (int item_size, bool block=true, float threshold=1.0, int trigger_length=0, bool tag=false, double delay=0.0, int sample_rate=0, bool no_delay=false, bool verbose=true, bool retriggerable=false, const std::string &length_tag_name="", bool complete_output=false, bool byte_trigger=false, const std::string &trigger_tag_name="")
| Return a shared_ptr to a new instance of baz_gate.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_gate()

baz_gate::~baz_gate | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void baz_gate::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## ◆ general_work()

int baz_gate::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## ◆ set_blocking()

void baz_gate::set_blocking | ( | bool | enable | ) |

## ◆ set_delay()

void baz_gate::set_delay | ( | double | delay | ) |

## ◆ set_no_delay()

void baz_gate::set_no_delay | ( | bool | no_delay | ) |

## ◆ set_sample_rate()

void baz_gate::set_sample_rate | ( | int | sample_rate | ) |

## ◆ set_tagging()

void baz_gate::set_tagging | ( | bool | enable | ) |

## ◆ set_threshold()

void baz_gate::set_threshold | ( | float | threshold | ) |

## ◆ set_trigger_length()

void baz_gate::set_trigger_length | ( | int | trigger_length | ) |

## Friends And Related Symbol Documentation

## ◆ baz_make_gate

BAZ_API baz_gate_sptr baz_make_gate | ( | int | item_size,
|  | bool | block = true,
|  | float | threshold = 1.0,
|  | int | trigger_length = 0,
|  | bool | tag = false,
|  | double | delay = 0.0,
|  | int | sample_rate = 0,
|  | bool | no_delay = false,
|  | bool | verbose = true,
|  | bool | retriggerable = false,
|  | const std::string & | length_tag_name = "",
|  | bool | complete_output = false,
|  | bool | byte_trigger = false,
|  | const std::string & | trigger_tag_name = "" )
| friend

Return a shared_ptr to a new instance of baz_gate.

To avoid accidental use of raw pointers, baz_gate's constructor is private. howto_make_square2_ff is the public interface for creating new instances.

References BAZ_API.

The documentation for this class was generated from the following file:

- baz_gate.h